{
  config,
  pkgs,
  lib,
  ...
}:
{

  services.xserver.windowManager.i3.enable = true;

  services.displayManager = {
      defaultSession = "sway";
  };

  services.xserver = {
    enable = true;
    desktopManager.xterm.enable = false;
    displayManager = {
      startx.enable = false;
      lightdm.enable = false;
      gdm = {
        enable = true;
        wayland = true;
      };
    };

    # Enable touchpad support.
    libinput.enable = true;

    # TODO: Extract i18n
    xkb = {
      layout = "ch,de";
      options = "eurosign:e";
    };

    updateDbusEnvironment = true;
  };
}
